Name:		qubes-core-admin-client
Version:    4.0.26
Release:	0.1%{?dist}
Summary:	Qubes OS admin client tools

Group:		Qubes
License:	LGPLv2.1+
URL:		https://www.qubes-os.org

BuildRequires:	python2-setuptools
BuildRequires:	python2-devel
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-sphinx
BuildRequires:	python%{python3_pkgversion}-dbus
Requires:   python%{python3_pkgversion}-qubesadmin
Requires:   python%{python3_pkgversion}-yaml
BuildArch:  noarch
Source0: %{name}-%{version}.tar.gz

%description
This package include managemt tools, like qvm-*.

%package -n python2-qubesadmin
Summary:    Python2 module qubesadmin
Requires:   python-daemon
Requires:   python-docutils
Requires:   python2-lxml

%description -n python2-qubesadmin
Python2 module qubesadmin.

%package -n python%{python3_pkgversion}-qubesadmin
Summary:    Python%{python3_pkgversion} module qubesadmin
%if 0%{?rhel} >= 7
Requires:   python-daemon
%else
Requires:   python3-daemon
%endif
Requires:   python%{python3_pkgversion}-docutils
Requires:   python%{python3_pkgversion}-lxml
Requires:   python%{python3_pkgversion}-xcffib
Conflicts:  qubes-manager < 4.0.6

%description -n python%{python3_pkgversion}-qubesadmin
Python3 module qubesadmin.

%prep
%setup -q


%build
make -C doc PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} man


%install
rm -rf build
%make_install PYTHON=%{__python2}
rm -rf build
%make_install PYTHON=%{__python3}

make -C doc DESTDIR=$RPM_BUILD_ROOT \
    PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} \
    install


%files
%defattr(-,root,root,-)
%doc LICENSE
%config /etc/xdg/autostart/qvm-start-gui.desktop
%{_bindir}/qubes-*
%{_bindir}/qvm-*
%{_mandir}/man1/qvm-*.1*
%{_mandir}/man1/qubes*.1*

%files -n python2-qubesadmin
%{python2_sitelib}/qubesadmin-*egg-info
%{python2_sitelib}/qubesadmin

%files -n python%{python3_pkgversion}-qubesadmin
%{python3_sitelib}/qubesadmin-*egg-info
%{python3_sitelib}/qubesadmin


%changelog
* Tue Jul 30 2019 Qubes OS Team <qubes-devel@groups.google.com>
- For complete changelog see: https://github.com/QubesOS/qubes-core-admin-client

* Tue Jul 30 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6f78465
- version 4.0.26

* Mon Jul 29 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e700af9
- tools/qvm-volume: add 'import' action

* Mon Jul 29 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fdc632c
- tools: reset private volume when importing template over existing one

* Mon Jul 29 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 21569b3
- tests: fix events tests on python3.7

* Mon Jul 29 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 291382c
- travis: drop python 3.4, add python 3.6 and 3.7

* Tue Jun 25 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b8ddb39
- Allow app.domains[vm] where vm is a QubesVM object

* Fri Jun 14 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7bca004
- Merge remote-tracking branch 'origin/pr/95'

* Fri Jun 14 2019 unman <unman@thirdeyesecurity.org> - 6f8ee53
- Remove unnecessary comma in qvm-backup.rst

* Thu May 30 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 19e286e
- travis: switch to xenial, update distributions

* Wed May 29 2019 Malte Leip <malte@leip.net> - 32538fa
- qvm-prefs: add --hide-default option

* Wed Apr 17 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c1be4cd
- Merge remote-tracking branch 'qubesos/pr/92'

* Tue Apr 16 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 37e4e4c
- tests: update yaml syntax in qvm-backup tests

* Tue Apr 16 2019 Conor Schaefer <conor@freedom.press> - 40eeddb
- Adds docs for clone ignore_errors, feeds linter

* Tue Apr 16 2019 Conor Schaefer <conor@freedom.press> - 55a22e7
- Adds support for `--ignore-errors` to qvm-clone CLI

* Sat Mar 09 2019 anadahz <andz@torproject.org> - 2f1be16
- Remove policy option from man page

* Thu Mar 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 080935a
- doc: typo fix

* Thu Mar 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 310a4f2
- version 4.0.25

* Thu Mar 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d7430d4
- Make pylint happy

* Thu Mar 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 05f0d4c
- Make vm.run_with_args working on python2

* Thu Mar 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fb910a7
- tools/qvm-start: validate output of losetup command

* Thu Mar 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a2629b1
- tools/qvm-start: use vm.run_with_args to call losetup in the VM

* Thu Feb 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a35cb46
- tests: vm.run, vm.run_with_args

* Thu Feb 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0092c0a
- vm: add run_with_args method to call a single command with specific arguments

* Sun Feb 24 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 88ab55b
- events: simplify handling qubesd reconnect

* Sun Feb 24 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1145f70
- tools/qvm-backup: allow to disable compression

* Sun Feb 24 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5e4831e
- backup: Do not try to attach devices during backup verification

* Sun Feb 24 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2ad9b57
- utils: include management_dispvm property when checking where VM is used

* Tue Feb 12 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bde60c1
- Bump Python version requirement for qvm-* to 3.5

* Mon Feb 11 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b1a1914
- tools/qvm-run: do not color the output unless --pass-io is used

* Wed Jan 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 89ee493
- backup: do not fail restore if scrypt anticipate more time needed

* Fri Dec 28 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 61cc6b0
- rpm: add R: python3-yaml, as needed by qvm-backup tool

* Fri Dec 28 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 78b07ae
- rpm: unify fedora and centos packaging

* Tue Dec 18 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9ed922a
- Merge remote-tracking branch 'origin/pr/87'

* Tue Dec 18 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e6a7580
- doc: update meminfo-writer service note

* Tue Dec 18 2018 GammaSQ <doesnt.work@gmx.at> - 0d9fcb9
- fixed typo

* Tue Dec 18 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b40939b
- version 4.0.24

* Sun Dec 16 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a65ef42
- tools/qvm-run: make -q affect 'command failed with code' message

* Sun Dec 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3515026
- version 4.0.23

* Sun Dec 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9061169
- Merge branch 'devel-20181206'

* Sat Dec 08 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0bb3519
- doc: fix rst syntax in documentation, including docstrings

* Sat Dec 08 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 57a98b9
- doc: improve qvm-device man page

* Sat Dec 08 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 558c5d4
- Merge remote-tracking branch 'origin/pr/84'

* Sat Dec 08 2018 GammaSQ <doesnt.work@gmx.at> - 4ae6830
- Fixed typo in documentation

* Sat Dec 08 2018 GammaSQ <doesnt.work@gmx.at> - b49f2b0
- Documentation is important! Added shortcuts to manpages

* Sat Dec 08 2018 GammaSQ <doesnt.work@gmx.at> - b848625
- added tests for shortcuts

* Sat Dec 08 2018 GammaSQ <doesnt.work@gmx.at> - ce2fb96
- diff doesn't set template

* Sat Dec 08 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4a727f1
- Merge remote-tracking branch 'origin/pr/85'

* Sat Dec 08 2018 GammaSQ <doesnt.work@gmx.at> - 2c836c5
- isinstance instead of type

* Sat Dec 08 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 415f5fa
- tools/qvm-run: factor out actual process running into separate function

* Sat Dec 08 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5fe6ffc
- tools/qvm-create: reject --root-{move,copy}-from with template-based qubes

